# -*- coding: utf-8 -*-
"""
Created on Wed Jan 09 18:21:58 2019

@author: mv39zilo
"""

import numpy as np
import os
from osgeo import ogr
import shutil
from glob import glob

import MacPyver as mp

# state
# here important that areas outside have to be -9999
# provinces
province_path = r'~\Filzbach Examples\workspace\Borneo_province_repro_res.tif'

province = mp.raster.tiff.read_tif(province_path, 1)
# give all provinces a number


# 1 = 8
province = np.where((province >= 1) & (province <= 4), 80, province)



# 10= 1
province = np.where(province == 10, 1, province)

# 11 = 2
province = np.where(province == 11, 2, province)

# 13 = 3
province = np.where(province == 13, 3, province)

# 14 = 4
province = np.where(province == 14, 4, province)

# 15 = 5
province = np.where(province == 15, 5, province)

# 16= 6
province = np.where(province == 16, 6, province)

#17= 7
province = np.where(province == 17, 7, province)

province = np.where((province == 80), province / 10, province)

#province = np.where(province == 0, -9999, province)

province_layer = province


#mp.raster.tiff.write_tif(province_path,
#'O:/Maria_Voigt/deforestation_model/data/State/province_repro_res.tif', province, nodata=-9999, dtype = 4, option='compress=deflate')

provinces = np.unique(province)
np.sum(np.where(province_layer == 1, 1, 0 ))

out_path = in_path


# make province area lookup table

province_lookup = open(out_path  + "\province_area_lookup.csv",'w')
# write header
province_lookup.write("province,nr_pixel \n")
for province in provinces: 
    print(province)
    area = np.sum(np.where(province_layer == province, 1, 0))
    province_lookup.write(str(province) + "," + str(area) + " \n")


print("finished")

province_lookup.close()  
